Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.java4less.rchart
Class LineStyle

    java.lang.Object
      |
      +--com.java4less.rchart.LineStyle

public class LineStyle
extends java.lang.Object

    This class draws lines. It contains the description of how a line looks like.

    The following code creates the line style for the grid of this chart:

    XAxis.gridStyle=new LineStyle(0.2f,GraphicsProvider.getColor(ChartColor.DARKGRAY),LineStyle.LINE_DASHED);

Field Summary
`float` | `alphaValue` clear (0), transparency (0.5), opaque (1).
`static int` | `LINE_DASHED`
`static int` | `LINE_DOTS`
`static int` | `LINE_NORMAL`

Constructor Summary
`LineStyle(float w, ChartColor c, int t)` Creates a line style with the given width, color and style(line, dashed...).
`LineStyle(float w, ChartColor c, int t, float alpha)` Creates a line style with the given width, color and style(line, dashed...) and transparency (alpha value)

Method Summary
`static LineStyle` | `createFromString(java.lang.String s)` create a new lineStyle form a string
`void` | `draw(ChartGraphics g, int x1, int y1, int x2, int y2)` draws a line between two points.
`void` | `drawArc(ChartGraphics g, int x, int y, int w, int h, int a1, int a2)`
`void` | `drawOpenPolygon(ChartGraphics g, int[] x, int[] y, int c)` draws an open polygon.
`void` | `drawPolygon(ChartGraphics g, int[] x, int[] y, int c)` draws a polygon.
`void` | `drawRect(ChartGraphics g, int x1, int y1, int x2, int y2)`
`void` | `drawRoundRect(ChartGraphics g, int x1, int y1, int x2, int y2)`
`ChartColor` | `getColor()` returns the color of the line.
`int` | `getType()` returns the style of the line.
`float` | `getWidth()` returns the width of the line.
`void` | `setColor(ChartColor c)` sets the color of the line.
`void` | `setType(int t)` sets the style of the line.
`void` | `setWidth(float f)` sets the width of the line.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### alphaValue

    public float alphaValue

  clear (0), transparency (0.5), opaque (1).

### LINE_NORMAL

    public static final int LINE_NORMAL

See Also:
  Constant Field Values

### LINE_DASHED

    public static final int LINE_DASHED

See Also:
  Constant Field Values

### LINE_DOTS

    public static final int LINE_DOTS

See Also:
  Constant Field Values

Constructor Detail

### LineStyle

    public LineStyle(float w,
                     ChartColor c,
                     int t)

  Creates a line style with the given width, color and style(line, dashed...).

### LineStyle

    public LineStyle(float w,
                     ChartColor c,
                     int t,
                     float alpha)

  Creates a line style with the given width, color and style(line, dashed...) and transparency (alpha value)

Method Detail

### createFromString

    public static LineStyle createFromString(java.lang.String s)

  create a new lineStyle form a string

  Parameters:
    `s` -
  Returns:

### setType

    public void setType(int t)

  sets the style of the line.

### getType

    public int getType()

  returns the style of the line.

### getColor

    public ChartColor getColor()

  returns the color of the line.

### setColor

    public void setColor(ChartColor c)

  sets the color of the line.

### getWidth

    public float getWidth()

  returns the width of the line.

### setWidth

    public void setWidth(float f)

  sets the width of the line.

### drawArc

    public void drawArc(ChartGraphics g,
                        int x,
                        int y,
                        int w,
                        int h,
                        int a1,
                        int a2)

### drawPolygon

    public void drawPolygon(ChartGraphics g,
                            int[] x,
                            int[] y,
                            int c)

  draws a polygon. X and Y contains the points and c the number of points.

### drawOpenPolygon

    public void drawOpenPolygon(ChartGraphics g,
                                int[] x,
                                int[] y,
                                int c)

  draws an open polygon. Does not draw the line to connect first and last points.

### drawRoundRect

    public void drawRoundRect(ChartGraphics g,
                              int x1,
                              int y1,
                              int x2,
                              int y2)

### drawRect

    public void drawRect(ChartGraphics g,
                         int x1,
                         int y1,
                         int x2,
                         int y2)

### draw

    public void draw(ChartGraphics g,
                     int x1,
                     int y1,
                     int x2,
                     int y2)

  draws a line between two points.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD